Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.feed.synd.impl
Class ConverterForRSS10

    java.lang.Object
      com.sun.syndication.feed.synd.impl.ConverterForRSS090
          com.sun.syndication.feed.synd.impl.ConverterForRSS10

All Implemented Interfaces:
  Converter

    public class ConverterForRSS10

extends ConverterForRSS090

Constructor Summary
`` | `ConverterForRSS10()`
`protected` | `ConverterForRSS10(String type)`

Method Summary
`void` | `copyInto(WireFeed feed, SyndFeed syndFeed)` Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.
`protected Content` | `createItemContent(SyndContent sContent)`
`protected Description` | `createItemDescription(SyndContent sContent)`
`protected WireFeed` | `createRealFeed(String type, SyndFeed syndFeed)`
`protected Item` | `createRSSItem(SyndEntry sEntry)`
`protected SyndEntry` | `createSyndEntry(Item item, boolean preserveWireItem)`

Methods inherited from class com.sun.syndication.feed.synd.impl.ConverterForRSS090
`createRealFeed, createRSSImage, createRSSItems, createSyndEntries, createSyndImage, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConverterForRSS10

    public ConverterForRSS10()

### ConverterForRSS10

    protected ConverterForRSS10(String type)

Method Detail

### copyInto

    public void copyInto(WireFeed feed,
                         SyndFeed syndFeed)

  Description copied from interface: `Converter`
  Makes a deep copy/conversion of the values of a real feed into a SyndFeedImpl.

  It assumes the given SyndFeedImpl has no properties set.

  Specified by:
    `copyInto` in interface `Converter`
  Overrides:
    `copyInto` in class `ConverterForRSS090`
  Parameters:
    `feed` - real feed to copy/convert.
    `syndFeed` - the SyndFeedImpl that will contain the copied/converted values of the real feed.

### createSyndEntry

    protected SyndEntry createSyndEntry(Item item,
                                        boolean preserveWireItem)

  Overrides:
    `createSyndEntry` in class `ConverterForRSS090`

### createRealFeed

    protected WireFeed createRealFeed(String type,
                                      SyndFeed syndFeed)

  Overrides:
    `createRealFeed` in class `ConverterForRSS090`

### createRSSItem

    protected Item createRSSItem(SyndEntry sEntry)

  Overrides:
    `createRSSItem` in class `ConverterForRSS090`

### createItemDescription

    protected Description createItemDescription(SyndContent sContent)

### createItemContent

    protected Content createItemContent(SyndContent sContent)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.